%define upstream_name	 Socket6
%define upstream_version 0.27

# Filter the Perl extension module
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    IPv6 related part of the C socket.h defines and structure manipulators
License:    BSD-like
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Socket6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module provides glue routines to the various IPv6 functions.

If you use the Socket6 module, be sure to specify "use Socket" as
well as "use Socket6".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make


%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Socket6
%{perl_vendorarch}/Socket6.pm
%{_mandir}/man3/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.270.0-3pclos2017
- rebuild against updates

